Package org.eclipse.emf.cdo.lm.reviews.impl

# Class CommentImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEStoreEObjectImpl
org.eclipse.emf.internal.cdo.CDOObjectImpl
org.eclipse.emf.cdo.etypes.impl.ModelElementImpl
org.eclipse.emf.cdo.lm.reviews.impl.CommentImpl

All Implemented Interfaces:
  `CDOObject`, `CDOWithID`, `CDOPackageTypeRegistry.CDOObjectMarker`, `ModelElement`, `Authorable`, `Comment`, `SystemElement`, `Notifier`, `EObject`, `EStructuralFeature.Internal.DynamicValueHolder`, `InternalEObject`, `InternalCDOLoadable`, `InternalCDOObject`

public class CommentImpl extends ModelElementImpl implements Comment
An implementation of the model object 'Comment'.

Generated
No Extend
  This class is not intended to be subclassed by clients.

  The following features are implemented:

  - `Id`
  - `Text`
  - `Author`
  - `Creation Time`
  - `Edit Time`
  - `Container`
  - `Review`
  - `Reply To`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`MinimalEObjectImpl.Container`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList, BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`InternalEObject.EStore`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final String`
`AUTHOR_EDEFAULT`
The default value of the '`Author`' attribute.
`protected static final long`
`CREATION_TIME_EDEFAULT`
The default value of the '`Creation Time`' attribute.
`protected static final long`
`EDIT_TIME_EDEFAULT`
The default value of the '`Edit Time`' attribute.
`protected static final int`
`ID_EDEFAULT`
The default value of the '`Id`' attribute.
`protected static final String`
`TEXT_EDEFAULT`
The default value of the '`Text`' attribute.

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`CommentImpl()`

## Method Summary

Modifier and Type
Method
Description
`Comment`
`basicGetReplyTo()`
`NotificationChain`
`basicSetContainer(TopicContainer newContainer, NotificationChain msgs)`
`NotificationChain`
`eBasicRemoveFromContainerFeature(NotificationChain msgs)`
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain`
`eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain`
`eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`Object`
`eInvoke(int operationID, EList<?> arguments)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`protected EClass`
`eStaticClass()`
`void`
`eUnset(int featureID)`
`String`
`getAuthor()`
`TopicContainer`
`getContainer()`
`long`
`getCreationTime()`
`long`
`getEditTime()`
`int`
`getId()`
`Comment`
`getReplyTo()`
`Review`
`getReview()`
Returns the value of the 'Review' reference.
`System`
`getSystem()`
`String`
`getText()`
`void`
`setAuthor(String newAuthor)`
`void`
`setContainer(TopicContainer newContainer)`
`void`
`setCreationTime(long newCreationTime)`
`void`
`setEditTime(long newEditTime)`
`void`
`setId(int newId)`
`void`
`setReplyTo(Comment newReplyTo)`
`void`
`setText(String newText)`

### Methods inherited from class org.eclipse.emf.cdo.etypes.impl.ModelElementImpl

`eStaticFeatureCount, getAnnotation, getAnnotations`

### Methods inherited from class org.eclipse.emf.internal.cdo.CDOObjectImpl

`cdoClassInfo, cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInternalDynamicFeature, cdoInternalInstance, cdoInternalPostAttach, cdoInternalPostDetach, cdoInternalPostDetach, cdoInternalPostInvalidate, cdoInternalPostLoad, cdoInternalPostRollback, cdoInternalPreAttach, cdoInternalPreCommit, cdoInternalPreLoad, cdoInternalSetID, cdoInternalSetResource, cdoInternalSetRevision, cdoInternalSetState, cdoInternalSetView, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption, createFeatureMap, createList, createLock, createMap, createOrderedList, createUnorderedList, dynamicGet, dynamicSet, dynamicUnset, eAdapterAdded, eAdapterRemoved, eAdapters, eBasicAdapterListeners, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainer, eBasicSetSettings, eBasicSettings, eClass, eContainerAdapterArray, eContainerFeatureID, eDirectResource, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicIsSet, eHasSettings, eInternalContainer, eInternalResource, eIsCaching, emfToString, equals, eSetClass, eSetDirectResource, eSetResource, eSettings, eStore, getLockState, hashCode, instanceToRevisionFeature, revisionToInstanceFeature, toString`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEStoreEObjectImpl

`eBasicContainerFeatureID, eBasicInternalContainer, eDerivedStructuralFeatureID`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eContents, eCrossReferences, eDeliver, eIsProxy, eProperties, eProxyURI, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticOperationCount, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

`cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoState, cdoWriteLock, cdoWriteOption`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eBaseStructuralFeatureID, eBasicRemoveFromContainer, eDerivedOperationID, eDerivedStructuralFeatureID, eGet, eInverseAdd, eInverseRemove, eNotificationRequired, eObjectForURIFragmentSegment, eProxyURI, eResolveProxy, eSetProxyURI, eSetStore, eSetting, eURIFragmentSegment`

### Methods inherited from interface org.eclipse.emf.cdo.etypes.ModelElement

`getAnnotation, getAnnotations`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Field Details

### ID_EDEFAULT

protected static final int ID_EDEFAULT
The default value of the '`Id`' attribute.

Since:
  1.2
See Also:
  - `getId()`
  - Constant Field Values
Generated
Ordered

### TEXT_EDEFAULT

protected static final String TEXT_EDEFAULT
The default value of the '`Text`' attribute.

See Also:
  - `getText()`
Generated
Ordered

### AUTHOR_EDEFAULT

protected static final String AUTHOR_EDEFAULT
The default value of the '`Author`' attribute.

See Also:
  - `getAuthor()`
Generated
Ordered

### CREATION_TIME_EDEFAULT

protected static final long CREATION_TIME_EDEFAULT
The default value of the '`Creation Time`' attribute.

Since:
  1.2
See Also:
  - `getCreationTime()`
  - Constant Field Values
Generated
Ordered

### EDIT_TIME_EDEFAULT

protected static final long EDIT_TIME_EDEFAULT
The default value of the '`Edit Time`' attribute.

Since:
  1.2
See Also:
  - `getEditTime()`
  - Constant Field Values
Generated
Ordered

## Constructor Details

### CommentImpl

protected CommentImpl()

Generated

## Method Details

### eStaticClass

protected EClass eStaticClass()

Overrides:
  `eStaticClass` in class `ModelElementImpl`
Generated

### getId

public int getId()

Specified by:
  `getId` in interface `Authorable`
Returns:
  the value of the 'Id' attribute.
See Also:
  - `Authorable.setId(int)`
  - `ReviewsPackage.getAuthorable_Id()`
Generated

### setId

public void setId(int newId)

Specified by:
  `setId` in interface `Authorable`
Parameters:
  `newId` - the new value of the 'Id' attribute.
See Also:
  - `Authorable.getId()`
Generated

### getContainer

public TopicContainer getContainer()

Specified by:
  `getContainer` in interface `Comment`
Returns:
  the value of the 'Container' container reference.
See Also:
  - `Comment.setContainer(TopicContainer)`
  - `ReviewsPackage.getComment_Container()`
  - `TopicContainer.getComments()`
Generated

### basicSetContainer

public NotificationChain basicSetContainer(TopicContainer newContainer, NotificationChain msgs)

Since:
  1.2
Generated

### setContainer

public void setContainer(TopicContainer newContainer)

Specified by:
  `setContainer` in interface `Comment`
Parameters:
  `newContainer` - the new value of the 'Container' container reference.
See Also:
  - `Comment.getContainer()`
Generated

### getAuthor

public String getAuthor()

Specified by:
  `getAuthor` in interface `Authorable`
Returns:
  the value of the 'Author' attribute.
See Also:
  - `Authorable.setAuthor(String)`
  - `ReviewsPackage.getAuthorable_Author()`
Generated

### setAuthor

public void setAuthor(String newAuthor)

Specified by:
  `setAuthor` in interface `Authorable`
Parameters:
  `newAuthor` - the new value of the 'Author' attribute.
See Also:
  - `Authorable.getAuthor()`
Generated

### getCreationTime

public long getCreationTime()

Specified by:
  `getCreationTime` in interface `Authorable`
Returns:
  the value of the 'Creation Time' attribute.
See Also:
  - `Authorable.setCreationTime(long)`
  - `ReviewsPackage.getAuthorable_CreationTime()`
Generated

### setCreationTime

public void setCreationTime(long newCreationTime)

Specified by:
  `setCreationTime` in interface `Authorable`
Parameters:
  `newCreationTime` - the new value of the 'Creation Time' attribute.
See Also:
  - `Authorable.getCreationTime()`
Generated

### getEditTime

public long getEditTime()

Specified by:
  `getEditTime` in interface `Authorable`
Returns:
  the value of the 'Edit Time' attribute.
See Also:
  - `Authorable.setEditTime(long)`
  - `ReviewsPackage.getAuthorable_EditTime()`
Generated

### setEditTime

public void setEditTime(long newEditTime)

Specified by:
  `setEditTime` in interface `Authorable`
Parameters:
  `newEditTime` - the new value of the 'Edit Time' attribute.
See Also:
  - `Authorable.getEditTime()`
Generated

### getReplyTo

public Comment getReplyTo()

Specified by:
  `getReplyTo` in interface `Comment`
Returns:
  the value of the 'Reply To' reference.
See Also:
  - `Comment.setReplyTo(Comment)`
  - `ReviewsPackage.getComment_ReplyTo()`
Generated

### basicGetReplyTo

public Comment basicGetReplyTo()

Since:
  1.2
Generated

### setReplyTo

public void setReplyTo(Comment newReplyTo)

Specified by:
  `setReplyTo` in interface `Comment`
Parameters:
  `newReplyTo` - the new value of the 'Reply To' reference.
See Also:
  - `Comment.getReplyTo()`
Generated

### getText

public String getText()

Specified by:
  `getText` in interface `Authorable`
Returns:
  the value of the 'Text' attribute.
See Also:
  - `Authorable.setText(String)`
  - `ReviewsPackage.getAuthorable_Text()`
Generated

### setText

public void setText(String newText)

Specified by:
  `setText` in interface `Authorable`
Parameters:
  `newText` - the new value of the 'Text' attribute.
See Also:
  - `Authorable.getText()`
Generated

### eInverseAdd

public NotificationChain eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)

Overrides:
  `eInverseAdd` in class `ModelElementImpl`
Generated

### eInverseRemove

public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `ModelElementImpl`
Generated

### eBasicRemoveFromContainerFeature

public NotificationChain eBasicRemoveFromContainerFeature(NotificationChain msgs)

Overrides:
  `eBasicRemoveFromContainerFeature` in class `BasicEObjectImpl`
Generated

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `InternalEObject`
Overrides:
  `eGet` in class `ModelElementImpl`
Generated

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `InternalEObject`
Overrides:
  `eSet` in class `ModelElementImpl`
Generated

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `InternalEObject`
Overrides:
  `eUnset` in class `ModelElementImpl`
Generated

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `InternalEObject`
Overrides:
  `eIsSet` in class `ModelElementImpl`
Generated

### eInvoke

public Object eInvoke(int operationID, EList<?> arguments) throws InvocationTargetException

Specified by:
  `eInvoke` in interface `InternalEObject`
Overrides:
  `eInvoke` in class `ModelElementImpl`
Throws:
  `InvocationTargetException`
Generated

### getSystem

public System getSystem()
Description copied from interface: `SystemElement`

Specified by:
  `getSystem` in interface `SystemElement`

### getReview

public Review getReview()
Description copied from interface: `Comment`
Returns the value of the 'Review' reference.

Specified by:
  `getReview` in interface `Comment`
Returns:
  the value of the 'Review' reference.
See Also:
  - `ReviewsPackage.getComment_Review()`